Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Rice Pastry API
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.mpisws.p2p.transport.peerreview.history.stub
Class NullHashProvider

    java.lang.Object
      org.mpisws.p2p.transport.peerreview.history.stub.NullHashProvider

All Implemented Interfaces:
  HashProvider

    public class NullHashProvider

extends java.lang.Object
implements HashProvider

Field Summary
`static byte[]` | `EMPTY_HASH`

Constructor Summary
`NullHashProvider()`

Method Summary
`byte[]` | `build(byte[] hashBytes, int start, int length)`
`byte[]` | `build(InputBuffer buf)`
`byte[]` | `getEmptyHash()`
`short` | `getHashSizeBytes()`
`byte[]` | `hash(java.nio.ByteBuffer... hashMe)`
`byte[]` | `hash(long seq, short type, byte[] nodeHash, byte[] contentHash)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### EMPTY_HASH

    public static final byte[] EMPTY_HASH

Constructor Detail

### NullHashProvider

    public NullHashProvider()

Method Detail

### hash

    public byte[] hash(long seq,
                       short type,
                       byte[] nodeHash,
                       byte[] contentHash)

  Specified by:
    `hash` in interface `HashProvider`

### hash

    public byte[] hash(java.nio.ByteBuffer... hashMe)

  Specified by:
    `hash` in interface `HashProvider`

### build

    public byte[] build(InputBuffer buf)

### getEmptyHash

    public byte[] getEmptyHash()

  Specified by:
    `getEmptyHash` in interface `HashProvider`

### getHashSizeBytes

    public short getHashSizeBytes()

  Specified by:
    `getHashSizeBytes` in interface `HashProvider`

### build

    public byte[] build(byte[] hashBytes,
                        int start,
                        int length)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Rice Pastry API
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2001-2005 - Rice Pastry.